Retrieve a matching part of a rule

- « Parle\Parser::right

- Parle\Parser::sigilCount »

- PHP Manual
- Parle\Parser
- Retrieve a matching part of a rule

# Parle\Parser::sigil

(PECL parle >= 0.5.1)

Parle\Parser::sigil — Retrieve a matching part of a rule

### Description

public Parle\Parser::sigil(int `$idx`): string

Retrieve a part of the match by a rule. This method is equivalent to the pseudo variable functionality in Bison.

### Parameters

`idx`

  Match index, zero based.

### Return Values

Returns a string with the matched part.